var fmt = require('./format')

function run (args) {
  switch (args._[0]) {
    case 'i':
    case 'install':
      require('./install')(args)
      break
    case 'rm':
    case 'un':
    case 'remove':
    case 'uninstall':
      require('./remove')(args)
      break
    default:
      fmt.error('command not recognized! try gds --help')
  }
}

// Reexport all commands for testing purposes

module.exports = {
  run: run,
  install: require('./install'),
  remove: require('./remove')
}
